FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora Development

 
 
LinkBack Thread Tools
 
Old 09-26-2010, 05:40 PM
John Reiser
 
Default Fedora 14 Beta corrupts user data

Compiled code for minimum(), maximum(), etc. suffers from a compiler bug:
https://bugzilla.redhat.com/show_bug.cgi?id=634757 -O1 wrong-code by cmove
Unfortunately this bug can corrupt user data silently.

I have hit the bug three times myself (bz 635508, 637303, 637461)
and consider myself lucky that the bad effects were evident and ignorable.

A fix is in testing, and a critical path update has been approved:
https://admin.fedoraproject.org/updates/gcc-4.5.1-4.fc14
IMNSHO this will require a mass rebuild of all architecture-specific
.fc14 .rpm.

Meanwhile, do not use Fedora 14 Beta on data that you value (e-mail,
documents, database, etc.) It really is that dangerous.

--
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 09-26-2010, 05:58 PM
Bruno Wolff III
 
Default Fedora 14 Beta corrupts user data

On Sun, Sep 26, 2010 at 10:40:22 -0700,
John Reiser <jreiser@bitwagon.com> wrote:
> Compiled code for minimum(), maximum(), etc. suffers from a compiler bug:
> https://bugzilla.redhat.com/show_bug.cgi?id=634757 -O1 wrong-code by cmove
> Unfortunately this bug can corrupt user data silently.
>
> I have hit the bug three times myself (bz 635508, 637303, 637461)
> and consider myself lucky that the bad effects were evident and ignorable.
>
> A fix is in testing, and a critical path update has been approved:
> https://admin.fedoraproject.org/updates/gcc-4.5.1-4.fc14
> IMNSHO this will require a mass rebuild of all architecture-specific
> .fc14 .rpm.
>
> Meanwhile, do not use Fedora 14 Beta on data that you value (e-mail,
> documents, database, etc.) It really is that dangerous.

That's interesting. I just saw an odd regression in the httpd server after
updating from F13 to F14. It affects deflate. The F13 httpd server appears
to be based on the same upstream version, so it seemed odd. I'm adding a
pointer to the gcc issue from my bug report.

Do you know when the gcc bug was introduced?
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 09-26-2010, 06:32 PM
Jan Kratochvil
 
Default Fedora 14 Beta corrupts user data

On Sun, 26 Sep 2010 19:58:05 +0200, Bruno Wolff III wrote:
> On Sun, Sep 26, 2010 at 10:40:22 -0700, John Reiser <jreiser@bitwagon.com> wrote:
> > Compiled code for minimum(), maximum(), etc. suffers from a compiler bug:
> > https://bugzilla.redhat.com/show_bug.cgi?id=634757 -O1 wrong-code by cmove
[...]
> Do you know when the gcc bug was introduced?

gcc-4.5.1-4.fc14: PASS
gcc-4.5.1-3.fc14: FAIL
gcc-4.5.1-2.fc14: There was no -2.
gcc-4.5.1-1.fc14: PASS


Regards,
Jan
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 09-26-2010, 06:41 PM
Bruno Wolff III
 
Default Fedora 14 Beta corrupts user data

On Sun, Sep 26, 2010 at 20:32:14 +0200,
Jan Kratochvil <jan.kratochvil@redhat.com> wrote:
> On Sun, 26 Sep 2010 19:58:05 +0200, Bruno Wolff III wrote:
> > On Sun, Sep 26, 2010 at 10:40:22 -0700, John Reiser <jreiser@bitwagon.com> wrote:
> > > Compiled code for minimum(), maximum(), etc. suffers from a compiler bug:
> > > https://bugzilla.redhat.com/show_bug.cgi?id=634757 -O1 wrong-code by cmove
> [...]
> > Do you know when the gcc bug was introduced?
>
> gcc-4.5.1-4.fc14: PASS
> gcc-4.5.1-3.fc14: FAIL
> gcc-4.5.1-2.fc14: There was no -2.
> gcc-4.5.1-1.fc14: PASS

Does that mean the problem is restricted to packages built after
gcc-4.5.1-3.fc14 was built on September 7th?
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 09-26-2010, 06:47 PM
Jan Kratochvil
 
Default Fedora 14 Beta corrupts user data

On Sun, 26 Sep 2010 20:41:04 +0200, Bruno Wolff III wrote:
> On Sun, Sep 26, 2010 at 20:32:14 +0200, Jan Kratochvil <jan.kratochvil@redhat.com> wrote:
> > gcc-4.5.1-4.fc14: PASS
> > gcc-4.5.1-3.fc14: FAIL
> > gcc-4.5.1-2.fc14: There was no -2.
> > gcc-4.5.1-1.fc14: PASS
>
> Does that mean the problem is restricted to packages built after
> gcc-4.5.1-3.fc14 was built on September 7th?

I do not have access to an easy query on Koji buildroots but if it is not
obvious you can verify your build at least by:

-> gdb-7.2-6.fc14
https://koji.fedoraproject.org/koji/buildinfo?buildID=195900
-> Task
https://koji.fedoraproject.org/koji/taskinfo?taskID=2474915
-> x86_64
https://koji.fedoraproject.org/koji/taskinfo?taskID=2474924
-> Buildroot
https://koji.fedoraproject.org/koji/buildrootinfo?buildrootID=887145
-> Component RPMs
https://koji.fedoraproject.org/koji/rpmlist?buildrootID=887145&type=component
-> gcc-4.5.1-3.fc14.x86_64.rpm


Regards,
Jan
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 09-26-2010, 07:09 PM
Kalev Lember
 
Default Fedora 14 Beta corrupts user data

On 09/26/2010 09:47 PM, Jan Kratochvil wrote:
> On Sun, 26 Sep 2010 20:41:04 +0200, Bruno Wolff III wrote:
>> On Sun, Sep 26, 2010 at 20:32:14 +0200, Jan Kratochvil<jan.kratochvil@redhat.com> wrote:
>>> gcc-4.5.1-4.fc14: PASS
>>> gcc-4.5.1-3.fc14: FAIL
>>> gcc-4.5.1-2.fc14: There was no -2.
>>> gcc-4.5.1-1.fc14: PASS
>>
>> Does that mean the problem is restricted to packages built after
>> gcc-4.5.1-3.fc14 was built on September 7th?
>
> I do not have access to an easy query on Koji buildroots but if it is not
> obvious you can verify your build at least by:
> <snip>

I made a crude script to figure out what packages might be affected. I'm
making the assumption that packages which don't have 'rtld(GNU_HASH)' in
rpm deps are not affected.

The script generates a list of packages which were built later than
gcc-4.5.1-3.fc14 and require 'rtld(GNU_HASH)'. The list is open ended as
the fixed -4 build doesn't appear to be in buildroots as I am typing this.

Caveats: packages which were built after gcc-4.5.1-3.fc14 and before it
got into buildroots are going to be listed as false positives; the
script will also miss packages which are not yet available in any
repositories.


# First affected GCC build
BUILD="http://kojipkgs.fedoraproject.org/packages/gcc/4.5.1/3.fc14/i686/cpp-4.5.1-3.fc14.i686.rpm"
# Get the time when it was built
BUILDTIME=$(rpm -qp $BUILD --qf '%{buildtime}')

# Query for packages which have been built later than the build above
repoquery --qf "%-50{sourcerpm} %{buildtime}" --disablerepo='*'
--releasever=14 --enablerepo=fedora,updates-testing --whatrequires
'rtld(GNU_HASH)' |
awk "$2 > $BUILDTIME" | sort | uniq | cut -f 1 -d ' ' | sed
's/.src.rpm$//'


abiword-2.8.6-2.fc14
acpid-2.0.5-3.fc14
ale-0.9.0.3-2.fc14.1
alleggl-0.4.3-7.fc14
allegro-4.2.3-3.fc14
amarok-2.3.2-3.fc14
anaconda-14.17.4-1.fc14
apcupsd-3.14.8-2.fc14
apiextractor-0.8.0-1.fc14
arm-gp2x-linux-binutils-2.16.1-9.fc14
atanks-4.7-1.fc14
audacious-2.4.0-3.fc14
audacious-plugins-2.4.0-2.fc14
authconfig-6.1.9-1.fc14
autotrace-0.31.1-24.fc14.1
avr-gcc-4.5.1-1.fc14
avr-gcc-4.5.1-2.fc14
awn-extras-applets-0.4.0-24.fc14
banshee-1.7.4-2.fc14
bespin-0.1-0.2.20100909svn1228.fc14
bibletime-2.7.3-1.fc14
bind-9.7.2-1.fc14
bind-dyndb-ldap-0.1.0-0.13.b.fc14
bluefish-2.0.2-1.fc14
bluez-4.71-4.fc14
bluez-4.71-5.fc14
bro-1.5.1-1.fc14
bti-028-1.fc14
busybox-1.15.1-8.fc14
bzip2-1.0.6-1.fc14
bzr-2.2.1-2.fc14
cabextract-1.3-1.fc14
cairo-1.10.0-1.fc14
cairo-java-1.0.8-1.fc14
calf-0.0.18.6-1.fc14
calibre-0.7.18-3.fc14.1
ccache-3.1-1.fc14
celt-0.8.1-1.fc14
chktex-1.6.4-7.fc14
clanbomber-1.05-13.fc14
clutter-1.2.14-1.fc14
clutter-gtk-0.10.8-1.fc14
ConsoleKit-0.4.2-2.fc14
contacts-0.12-2.fc14
coolkey-1.1.0-17.fc14
couchdb-glib-0.6.96-1.fc14
creox-0.2.2-0.5.rc2.fc14
cstream-2.7.6-4.fc14
cups-1.4.4-10.fc14
curl-7.21.0-5.fc14
cyphesis-0.5.24-1.fc14
dates-0.4.11-7.fc14
dbusmenu-qt-0.6.3-1.fc14
devhelp-2.31.91-2.fc14
dmapd-0.0.25-3.fc14.1
dnsperf-1.0.1.0-20.fc14
dovecot-2.0.3-1.fc14
doxygen-1.7.1-2.fc14
dracut-modules-olpc-0.5.3-1.fc14
drawtiming-0.7.1-1.1.fc14.1
dspam-3.9.0-9.fc14
duplicity-0.6.09-1.fc14
dx-4.4.4-16.fc14.1
ebook-tools-0.2.0-1.fc14
ecryptfs-utils-83-8.fc14
ElectricFence-2.2.2-29.fc14
elfutils-0.149-1.fc14
EmfEngine-0.8-2.fc14
empathy-2.31.90-2.fc14
empathy-2.31.92-1.fc14
enscript-1.6.5.2-3.fc14
entangle-0.2.0-1.fc14
erlang-R14B-0.1.fc14
eruby-1.0.5-14.fc14
evince-2.31.92-2.fc14
evolution-2.31.92-1.fc14
evolution-data-server-2.31.92-1.fc14
evolution-exchange-2.31.92-1.fc14
evolution-mapi-0.31.92-1.fc14
evolution-rspam-0.1.1-1.fc14
fbreader-0.12.10-2.fc14
flowcanvas-0.6.4-1.fc14
fltk-1.1.10-2.fc14
folks-0.1.16-1.fc14
fontik-0.6-1.20100901git8dd5b9fe7.fc14
font-manager-0.5.6-1.fc14
frepple-0.8.1-1.fc14
f-spot-0.7.2-2.fc14
fuse-convmvfs-0.2.6-1.fc14
galeon-2.0.7-33.fc14
gcc-4.5.1-4.fc14
gcin-1.5.5-3.fc14
gdb-7.2-6.fc14
gdb-7.2-7.fc14
gdl-0.9-3.fc14
gdm-2.31.90-7.fc14
gedit-vala-0.10.2-1.fc14
generatorrunner-0.6.1-1.fc14
gettext-0.18.1.1-4.fc14
ghc-Boolean-0.0.1-1.fc14
ghc-gio-0.11.1-2.fc14.1
ghc-gio-0.11.1-2.fc14
ghc-glib-0.11.2-2.fc14
ghc-pango-0.11.2-2.fc14
ghc-terminfo-0.3.1.3-1.fc14
ghc-text-0.8.1.0-1.fc14
ghc-xmonad-contrib-0.9.1-7.fc14
ghostscript-8.71-16.fc14
git-1.7.3-2.fc14
gle-4.2.2-5.fc14
glibc-2.12.90-11
glib-java-0.4.2-1.fc14
glibmm24-2.24.2-1.fc14
gnome-chemistry-utils-0.12.3-4.fc14
gnome-commander-1.2.8.8-2.fc14
gnome-dvb-daemon-0.1.21-1.fc14
gnome-keyring-2.31.92-1.fc14
gnome-panel-2.31.90-4.fc14
gnome-python2-desktop-2.31.1-7.fc14
gnome-python2-extras-2.25.3-23.fc14
gnome-web-photo-0.9-13.fc14
gnumeric-1.10.10-1.fc14
gnupg2-2.0.16-3.fc14
grep-2.7-1.fc14
gretl-1.9.1-6.fc14
gssdp-0.8.0-1.fc14
gstreamer-plugins-bad-free-0.10.20-3.fc14
gtk2hs-buildtools-0.11.2-1.fc14
gtk+extra-2.1.2-3.fc14
gtkhtml3-3.31.92-1.fc14
gtkmm24-2.21.7-2.fc14
gupnp-0.14.0-1.fc14
gupnp-av-0.6.0-1.fc14
gupnp-dlna-0.3.1-1.fc14
gupnp-tools-0.8.1-1.fc14
gvfs-1.6.3-3.fc14
hal-0.5.14-4.fc14
hal-0.5.14-5.fc14
highlight-3.1-2.fc14
http-parser-0.3-2.20100911git.fc14
hydrogen-0.9.4.2-1.fc14
ibus-1.3.7-5.fc14
ibus-chewing-1.3.7.20100910-1.fc14
ibus-m17n-1.3.1-2.fc14
ibus-qt-1.3.1-2.fc14
igraph-0.5.4-1.fc14
imageinfo-0.05-10.fc14.1
ImageMagick-6.6.4.1-14.fc14
im-chooser-1.3.2-1.fc14
initscripts-9.20-1.fc14
inkscape-0.48.0-1.fc14.1
iproute-2.6.35-3.fc14
jack_capture-0.9.56-1.fc14
jana-0.4.5-0.8.20100520gitacd72f2.fc14
jd-2.7.5-0.1.svn3663_trunk.fc14
k3d-0.8.0.1-3.fc14.1
kcm-gtk-0.5.3-5.fc14
kcm_touchpad-0.3.1-3.fc14
kdebase-4.5.1-2.fc14
kdebase-workspace-4.5.1-3.fc14
kdepim-4.4.6-2.fc14
kdepim-runtime-4.4.6-2.fc14
kde-plasma-networkmanagement-0.9-0.25.20100920.fc14
kde-plasma-yawp-0.3.4-2.fc14
kdesvn-1.5.5-1.fc14
kdeutils-4.5.1-2.fc14
kernel-2.6.35.4-28.fc14
kexec-tools-2.0.0-39.fc14
koffice-2.2.2-3.fc14
koffice-2.2.2-4.fc14
konq-plugins-4.4.0-5.fc14
kpackagekit-0.6.1-1.fc14
krb5-appl-1.0.1-3.fc14
krename-4.0.4-1.fc14
kwebkitpart-0.9.6-1.fc14
ldc-0.9.2-19.20100905hg1659.fc14
ledger-2.6.3-2.fc14
lensfun-0.2.5-3.fc14
lib3ds-1.3.0-9.fc14
libass-0.9.11-1.fc14
libcanberra-0.25-4.fc14
libccss-0.3.1-4.fc14
libclaw-1.5.4-4.fc14
libeio-3.65-2.fc14
libfprint-0.3.0-1.fc14
libglade-java-2.12.8-12.fc14
libglpng-1.45-3.fc14
libgnome-java-2.12.7-2.fc14
libgnome-keyring-2.31.92-1.fc14
libgpod-0.7.94-1.fc14
libgtk-java-2.10.2-1.fc14
libjpeg-turbo-1.0.1-1.fc14
liblastfm-0.3.2-1.fc14
libnxt-0.3-2.fc14
liboauth-0.9.0-2.fc14
libopenraw-0.0.8-2.fc14
libpst-0.6.49-1.fc14
libqttracker-6.11.0-2.fc14
libselinux-2.0.96-5.fc14
libucil-0.9.8-5.fc14
libunicapgtk-0.9.8-3.fc14
libuser-0.56.18-1.fc14
libvdpau-0.4.1-1.fc14
libvte-java-0.12.3-1.fc14
llvm-2.7-9.fc14
lpg-2.0.17-5.fc14
lxdm-0.3.0-0.1.20100921gitcf9b2cbb.fc14
m17n-lib-1.6.1-5.fc14
mailman-2.1.13-6.fc14
mail-notification-5.4-24.fc14
make-3.82-2.fc14
matahari-0.0.5-3.fc14
mc-4.7.4-1.fc14
mediawiki-1.15.4-55.fc14
meego-panel-datetime-0.2.7-1.fc14
memcached-1.4.5-3.fc14
meshlab-1.2.2-5.fc14
metacity-2.30.0-8.fc14
microcode_ctl-1.17-4.fc14
midori-0.2.8-1.fc14
mine_detector-6.0-4.fc14
minicom-2.4-2.fc14
Miro-3.0.3-2.fc14
mj-1.10-6.fc14
mlocate-0.23.1-1.fc14
moblin-panel-applications-0.1.30-1.fc14
moblin-panel-myzone-0.1.35-1.fc14
moblin-panel-people-0.1.14-1.fc14
moblin-panel-status-0.1.21-6.fc14
mongodb-1.6.2-2.fc14
mozc-0.13.464.102-0.1.20100910svn.fc14
mozvoikko-1.0-14.fc14
mpi4py-1.2.2-1.fc14
mutt-1.5.21-1.fc14
mutter-moblin-0.75.20-1.fc14
nagios-3.2.2-1.fc14
nasm-2.09.02-1.fc14
nautilus-2.31.92-1.fc14
nautilus-python-0.7.0-3.fc14
nautilus-sendto-2.31.90-1.fc14
nco-4.0.3-1.fc14
nemiver-0.7.3-2.fc14
net-tools-1.60-105.fc14
newsbeuter-2.3-1.fc14
nip2-7.22.2-1.fc14.1
njam-1.25-12.fc14
nmap-5.21-8.fc14
notify-python-0.1.1-15.fc14
nrpe-2.12-14.fc14
nss-3.12.7-6.fc14
nss-softokn-3.12.7-6.fc14
ntfs-3g-2010.8.8-2.fc14
ntp-4.2.6p2-5.fc14
nxtrc-2.3-3.fc14
olpc-powerd-28-1.fc14
olpc-utils-1.2.1-1.fc14
openbox-3.4.11.2-4.fc14
opencc-0.1.2-1.fc14
openchange-0.9-8.fc14
OpenEXR_Viewers-1.0.2-2.fc14
openoffice.org-3.3.0-8.3.fc14
openscap-0.6.3-1.fc14
openssh-5.5p1-21.fc14
openvrml-0.18.6-3.fc14
ORBit-0.5.17-30.fc14
oxine-0.7.1-6.fc14.1
pacemaker-1.1.3-1.fc14
pam_pkcs11-0.6.2-6.fc14
parole-0.2.0.2-3.fc14
parted-2.3-2.fc14
pcsc-perl-1.4.10-1.fc14
pcsc-tools-1.4.17-1.fc14
pdsh-2.22-1.fc14
perl-5.12.2-133.fc14
perl-Crypt-OpenSSL-RSA-0.26-2.fc14
perl-Crypt-OpenSSL-X509-1.4-2.fc14
perl-File-FnMatch-0.02-6.fc14
perl-Gtk2-MozEmbed-0.08-6.fc14.18
perl-Text-Hunspell-2.01-2.fc14
pfstools-1.8.1-1.fc14.1
pgp-tools-1.1.3-1.fc14
php-magickwand-1.0.8-6.fc14.1
php-pecl-imagick-3.0.0-7.fc14.1
php-pecl-imagick-3.0.0-7.fc14
pinfo-0.6.10-1.fc14
plee-the-bear-0.4.1-7.fc14
pokerth-0.8-0.1.beta3.fc14
policycoreutils-2.0.83-28.fc14
poppler-0.14.3-1.fc14
PragmARC-20060427-7.fc14
procps-3.2.8-12.fc14
procServ-2.5.1-3.fc14
proftpd-1.3.3b-1.fc14
psiconv-0.9.8-5.fc14.1
pspp-0.6.2-2.fc14
putty-0.60-6.20100910svn.fc14
pycryptopp-0.5.25-1.fc14
python-2.7-8.fc14.1
python-igraph-0.5.4-1.fc14
python-polybori-0.5-9.fc14
python-pyside-0.4.1-2.fc14
python-storm-0.17-1.fc14
python-twisted-core-10.1.0-1.fc14
python-twisted-runner-10.1.0-1.fc14
python-zope-i18nmessageid-3.5.3-2.fc14
python-zope-interface-3.6.1-5.fc14
python-zope-proxy-3.6.1-4.fc14
qemu-0.13.0-0.7.rc1.fc14
qjson-0.7.1-2.fc14
qlandkartegt-0.19.1-1.fc14
qt3-3.3.8b-30.fc14
qt-4.7.0-0.31.rc1.fc14
qt-4.7.0-3.fc14
qt-creator-2.0.0-2.fc14
qtcurve-gtk2-1.6.0-1.fc14
qtcurve-kde4-1.6.0-1.fc14
QTeXEngine-0.2-4.20100119svn.fc14
qtiplot-0.9.8.2-1.fc14
quvi-0.2.4-1.fc14
rakudo-star-0.0.2010.08_2.7.0-6.fc14
rasqal-0.9.20-1.fc14
raul-0.7.0-1.fc14
rawstudio-1.2-6.fc14.20100907svn3521
redland-1.0.10-7.fc14
rest-0.6.4-2.fc14
rhythmbox-0.13.1-1.fc14
rmol-0.23.1-1.fc14
R-ROC-1.24.1-1.fc14
rss-glx-0.9.1.p-4.fc14
rtpproxy-1.2.1-2.fc14
rubygem-gherkin-2.2.0-1.fc14
rubygem-ruby-debug-base-0.10.4-0.1.rc1.fc14
rubygem-ruby-debug-base-0.10.4-0.3.svn952.fc14
ruby-gnome2-0.90.1-1.fc14
ruby-postgres-0.7.9-2008.01.28.2.fc14
ruby-RMagick-2.13.1-4.fc14
rygel-0.7.8-1.fc14
samba-3.5.5-68.fc14
scalpel-1.60-3.fc14
setroubleshoot-2.2.99-1.fc14
setuptool-1.19.11-1.fc14
shiboken-0.5.0-2.fc14
shotwell-0.7.2-1.fc14
soci-3.0.0-18.fc14
soprano-2.5.2-1.fc14
spamass-milter-0.3.1-21.fc14
speech-dispatcher-0.7.1-1.fc14
sqliteman-1.2.1-4.fc14
squashfs-tools-4.1-1.fc14
star-1.5.1-4.fc14
subcommander-2.0-0.6.fc14.7
sudo-1.7.4p4-2.fc14
sugar-datastore-0.89.4-1.fc14
syncevolution-1.0.99.6-2.fc14
system-config-audit-0.4.17-1.fc14
system-config-printer-1.2.4-2.fc14
systemd-10-2.fc14
system-setup-keyboard-0.8.6-2.fc14
sysvinit-2.87-5.dsf.fc14
tar-1.23-5.fc14
tar-1.23-6.fc14
taxipilot-0.9.2-10.fc14
telepathy-gabble-0.9.18-1.fc14
telepathy-glib-0.11.15-1.fc14
telepathy-mission-control-5.6.0-1.fc14
Terminal-0.4.5-2.fc14
tigervnc-1.0.90-0.22.20100813svn4123.fc14
totem-pl-parser-2.30.3-1.fc14
traceroute-2.0.16-1.fc14
transmission-2.04-2.fc14
upstart-0.6.5-8.fc14
upstart-0.6.5-9.fc14
usermode-1.106.1-1.fc14
uxlaunch-0.56-1.fc14
vala-0.9.8-1.fc14
veusz-1.9-2.fc14
vidalia-0.2.10-1.fc14
viking-0.9.95-2.fc14
vips-7.22.2-1.fc14.1
vorbis-tools-1.4.0-2.fc14
vrq-1.0.80-1.fc14
wildmidi-0.2.3.4-1.fc14
wireshark-1.4.0-2.fc14
x86info-1.27-1.fc14
xastir-1.9.8-4.fc14
xdg-user-dirs-0.13-1.fc14
xen-4.0.1-3.fc14
xfdesktop-4.6.2-2.fc14
xfwm4-4.6.2-2.fc14
xine-lib-1.1.19-2.fc14
xmonad-0.9.1-7.fc14
xorg-x11-drv-intel-2.12.0-6.fc14
xorg-x11-drv-nouveau-0.0.16-12.20100920gitf1ac413.fc14
xorg-x11-drv-qxl-0.0.20.f14b-2.fc14
xorg-x11-server-1.9.0-9.fc14
xscreensaver-5.12-1.fc14
xulrunner-1.9.2.10-1.fc14
zabbix-1.8.3-2.fc14
zbar-0.10-3.fc14.1
zint-2.4.0-1.fc14
znc-0.094-1.fc14

--
Kalev
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 09-26-2010, 07:33 PM
Ralf Ertzinger
 
Default Fedora 14 Beta corrupts user data

Hi.

On Sun, 26 Sep 2010 10:40:22 -0700, John Reiser wrote

> Compiled code for minimum(), maximum(), etc. suffers from a compiler
> bug: https://bugzilla.redhat.com/show_bug.cgi?id=634757 -O1
> wrong-code by cmove Unfortunately this bug can corrupt user data
> silently.

Please forgive me for being confused, but isn't the default for Fedora
to build with -O2?
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 09-26-2010, 07:48 PM
Sven Lankes
 
Default Fedora 14 Beta corrupts user data

On Sun, Sep 26, 2010 at 09:33:49PM +0200, Ralf Ertzinger wrote:

> Please forgive me for being confused, but isn't the default for Fedora
> to build with -O2?

The issue exists for code compiled with at least -O1 - so -O2 compiled
code is affected as well.

--
sven === jabber/xmpp: sven@lankes.net
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 

Thread Tools




All times are GMT. The time now is 05:52 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org